%define pname	waterfall
%define	name	xmms-%{pname}
%define	version	0.11
%define	release	1
%define	prefix	/usr

Summary:	Waterfall Spectrum Analyzer for XMMS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Multimedia
Vendor:		Seth Golub <seth@aigeek.com>
Url:		http://www.aigeek.com/waterfall/
Source:		%{pname}-%{version}.tar.gz
Patch:		waterfall-0.10-cflags.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk+ >= 1.2.2
Requires:	glib >= 1.2.2
Requires:	xmms
BuildPrereq:	xmms-devel

%description
Waterfall Spectrum Analyzer for XMMS

%prep
%setup -q -n %{pname}-%{version}
%patch -p1

%build
%configure
make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README TODO
%{_libdir}/xmms/Visualization/libwaterfall.la
%{_libdir}/xmms/Visualization/libwaterfall.so

%changelog
* Wed Mar  7 2001 Peter Hanecak <hanecak@megaloman.sk>
  [waterfal-0.11-1]

* Tue Aug 22 2000 Peter Hanecak <hanecak@megaloman.sk>
  [waterfal-0.10-1]
- initial spec (based on xmms' spec)
